Bug 524589

Summary: Wrong option in postuninstall scriptlet
Product: [Fedora] Fedora Reporter: Aleš Mareček <amarecek>
Component: openswanAssignee: Avesh Agarwal <avagarwa>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: avagarwa, sgrubb
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-04-19 15:49:59 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Aleš Mareček 2009-09-21 11:27:48 UTC
Description of problem:
Acording to implementation of ipsec initscript postuninstall scriptlet calls wrong option "condrestart" which is not implemented.

Version-Release number of selected component (if applicable):
openswan-2.6.22-2.fc12

How reproducible:
always

Steps to Reproduce:
1. $ rpm -q --scripts openswan
  
Actual results:
postinstall scriptlet (using /bin/sh):
chkconfig --add ipsec || :
preuninstall scriptlet (using /bin/sh):
if [ $1 = 0 ]; then
	/sbin/service ipsec stop || :
	/sbin/chkconfig --del ipsec
fi
postuninstall scriptlet (using /bin/sh):
if [ $1 -ge 1 ] ; then
	/sbin/service ipsec condrestart 2>&1 > /dev/null || :
fi


Expected results:
Implementation of "condrestart" option into the ipsec initscript or replace cond-restarting line with corresponding code.

Additional info:

Comment 1 Bug Zapper 2009-11-16 12:42:45 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Avesh Agarwal 2010-04-19 15:49:59 UTC
This has been fixed in the latest Openswan version, and the issue does not appear
now. So I am closing this, and please reopen if you see this issue again.
Thanks for reporting the issue.